This URLs provides the count of custom and allowed fingerprints in use.
Resource URL
GET /domain<domain_id>/filereputation/fingerprintscount
Request Parameters
URL Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Domain id | Number | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| Number of allowed fingerprints in use | Number |
| Number of custom fingerprints in use | Number |
Example
Request
GET https://<NSM_IP>/sdkapi/domain/0/filereputation/fingerprintscount
Response
{
" AllowedFingerprintsCount ": 0,
" CustomFingerprintsCount ": 10
}
Error Information
Following error code is returned by this URL:
S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 400 | 1105 | Invalid domain |